



QTPI 1.62		      Release Notes	       December 29, 1996


     1.	 Introduction

     This  document describes the new and changed features in QTPI 1.62.
     This release comprises a new program  version,  new  file	transfer
     protocols and new manuals.

     The  documentation changes are cosmetic, so you probably don't want
     these unless you are a new user or avid collector of my prose.  The
     manual files are QTPI162D.zip (ascii), QTPI162P.zip (Postscript) or
     QTPI162H.zip (HTML).

     In order to obtain the greatest benefit from QTPI 1.62, the use  of
     XPR  Protocols  v3.55  is recommended. Just for a change, these are
     included.

     2.	 Bug Fixes

     2.1.  ComDev

     If a serial device is defined via ComDev (superHermes, uqlx ser  or
     pty etc), then when this was removed or a config file without "Comm
     Dev" was loaded, QTPI would not open a standard serial device. This
     is now fixed (reported by Roy Wood et al).

     2.2.  ^D handling

     QTPI  now	takes  special	steps to avoid ^D being swallowed by the
     pointer environment, which assumes it is the help key.

     2.3.  Escape handling

     Illegal VT100/ANSI escape sequences (or CSI followed by  a	 lot  of
     data),  could  crash  QTPI.  This	is now fixed (reported by Jochen
     Merz).

     2.4.

     XPR Kermit v3.55 fixes a  number  of  long	 standing  kermit  bugs.
     Thanks to Don Taylor for patiently exposing these.


     3.	 New features

     3.1.  Iconic mode

     QTPI  offers a ICONIC mode where by it will run as a button and may
     only be controlled by CSM commands (for PJ). This mode  is	 entered
     by

      (1)   Invoking QTPI with the -i flag

		ex qtpi;'-i'



				    1







QTPI 1.62		      Release Notes	       December 29, 1996


	    or

      (2)   Sending a running QTPI the (new) CSM command 'ISLAVE'

     QTPI  may	only  be restored to full screen from ICONIC mode by the
     CSM command 'IWAKE'; a normal wake or mouse HIT / DO has no effect.

     QTPI  may	be  restored to a 'normal' button (one that you can hit)
     with the CSM 'IFREE' command.

     For example:

	 CLIENT 'qtpi'
	 REQUEST 'qtpi','ISLAVE',a$
	 REQUEST 'qtpi','send sz /var/spool/uucppublic/test.zip',a$

	 REM This loop just checks the QTPI status until the file is received
	 stat% = 0 : cnt% = 0
	 REPeat loop
	  PAUSE 100
	  REQUEST 'qtpi','status',a$
	  IF 'RZ' INSTR a$ THEN
	   IF stat% = 0 : stat% = 1
	   PRINT a$
	   cnt% = 0
	  ELSE
	   IF stat% : EXIT loop
	   cnt% = cnt% + 1
	   IF cnt% = 15 : EXIT loop
	  END IF
	 END REPeat loop

	 REQUEST 'qtpi','IWAKE'

     All CSM commands,	other  than  those  that  require  screen  input
     (ASKT,ASKN) are honoured in this mode.

     The   QUIT	 request  will	work,  but  it	does  not  ask	for  any
     confirmation (to save changed settings etc).

     3.2.  XPRs

     The  v3.55	 XPR  libraries	 report	 "Time	remaining"   when   this
     information is available (for PJ).

     3.3.  XPR Info Icon

     The  XPR  Info  Icon  reports the percentage of the file transfered
     where  this  information  is   available	(requested   by	  Graham
     Underwood).





				    2







QTPI 1.62		      Release Notes	       December 29, 1996


     3.4.  Stack channels

     To	 facilitate  the  usage	 of QTPI as an ANSI console for pbox BBS
     systems, I/O channels may be supplied to QTPI.  This  will	 inhibit
     some  comms related features. If you are not a pbox sysop, then you
     are unlikely to want to know about this (for PB,JM,DS^2 etc).

	 ex qtpi,#inchan,nul,#outchan;'-s QTPI-pbox_dat'

     Such a QTPI should have its own QTPI_DAT file that sets  EOL  codes
     as appropriate, have no phone book and no XPR setting.

	 REMark Using the H.Lub NPIPE device
	 open #4,pipe_x
	 open #5,pipe_y
	 open #6,pipe_x_128
	 open #7,pipe_y_128
	 ex qtpi,#4,nul,#7;'-s QTPI-pbox_dat'
	 print #6,"Here is an urgent message"
	 input #5,reply$ : REMark Oh No it isn't

     Note  that	 current pbox releases (1.15/1.16) are configured to use
     QLTERM as the console, which only takes  two  stack  channels.  The
     qtpi three channel requirement is mandated by c68; you will need to
     add a simple filter between pbox and qtpi until Phil Borman is able
     to update pbox, for example (thanks to Davide Santachiara) :

	 REMark simple QLIB compiled filter pbox->qtpi
	 EW win1_pbox_qtpi_qtpi,#0,nul,#1


     4.	 Config/Qonfrig

     4.1.  Save/Don't Save/Go Back

     The  default  action  for	the  prompts  when  QTPI  is  quit  with
     uncommitted changes to the QTPI_dat  file	or  phone  book	 may  be
     configured (GU).

     4.2.  Qonfrig

     In	 order to make life easier for those who find having to reconfig
     a program after every release somewhat  onerous,  a  small	 utility
     called qonfrig is supplied (for Davide Santachiara).

     To save a config block:

	 ex qonfrig;'prog_name >save_file'

     To apply a saved config block

	 ex qonfrig;'prog_name save_file'



				    3







QTPI 1.62		      Release Notes	       December 29, 1996


     Please  note  that	 qonfrig  does	not  support all Config options;
     however the source is supplied, so an obvious remedy is  available.

     5.	 SMSQ/E Baud rates

     By	  popular   demand,   this   version  of  QTPI	reinstates  some
     experimental support for SMSQ/E baud rates.

     QTPI 1.62 may be set to:

     o	  Offer baud rates to 57600 baud

     o	  Support split baud rates

     QTPI normally ignores the above features unless a special	flag  is
     set, either from the command line or by patching the program.

	 ex qtpi;'-d N'

     The following values of N are recognised.

     1	  Enable SMSQ/E rates to 57600 on appropriate hardware.

     16	  Enable split rates.

     The  effect  is  cumulative,  for example, for split rates to 57600
     baud.

	 ex qtpi;'-d 17'

     As an alternative to the above command  line  option,  the	 program
     may, at your own risk, be patched. Search for the hex pattern

	 FF FF 00 00 00 05 46

     and change to

	 FF FF 00 NN 00 05 46

     where  NN	represents the value as described above. For split rates
     to 57600 this would become	 FF FF 00 11 00 05 46 .

     Please note that:

     o	  Setting the -d flag or patching  QTPI	 to  values  other  than
	  those documented may produce unwanted results.

     o	  The  values  of the -d patch and the (relative) patch location
	  are only documented for v1.62 QTPI.

     o	  You should consult the documentation for your operating system
	  variant before using the -d patches.



				    4







QTPI 1.62		      Release Notes	       December 29, 1996


     o	  I'd be interested to hear is any of the above works.

     6.	 Author

     --------------------------------------------------------------------------
     Jonathan Hudson,	  |   jrh@jrhudson.demon.co.uk	    | +44(0)1703 867843
     Copse View,	  | http://www.jrhudson.demon.co.uk | Voice
     Priestlands Close,	  |				    | and
     Woodlands,		  |				    | Facsimile
     Southampton SO40 7GD.|				    |
     --------------------------------------------------------------------------












































				    5



